package com.sun.corba.se.impl.copyobject;

import com.sun.corba.se.spi.copyobject.ObjectCopierFactory;
import com.sun.corba.se.spi.orb.ORB;
import com.sun.corba.se.impl.orbutil.DenseIntMapImpl;
import com.sun.corba.se.spi.copyobject.CopierManager;

public class CopierManagerImpl implements CopierManager
{
    private int defaultId;
    private DenseIntMapImpl map;
    private ORB orb;
    
    public CopierManagerImpl(ORB orb) {
        this.defaultId = 0;
        this.map = new DenseIntMapImpl();
        this.orb = orb;
    }
    
    public void setDefaultId(int defaultId) {
        this.defaultId = defaultId;
    }
    
    public int getDefaultId() {
        return this.defaultId;
    }
    
    public ObjectCopierFactory getObjectCopierFactory(int n) {
        return (ObjectCopierFactory)(ObjectCopierFactory)this.map.get(n);
    }
    
    public ObjectCopierFactory getDefaultObjectCopierFactory() {
        return (ObjectCopierFactory)(ObjectCopierFactory)this.map.get(this.defaultId);
    }
    
    public void registerObjectCopierFactory(ObjectCopierFactory objectCopierFactory, int n) {
        this.map.set(n, objectCopierFactory);
    }
}
